Bug 104317 - FILEOPEN: RTF: General Error. General input/output error.
Summary: FILEOPEN: RTF: General Error. General input/output error.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: high major
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.4.0 target:5.3.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-12-01 09:58 UTC by Xisco Faulí
Modified: 2017-08-30 19:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Amended Withholding Form (403.03 KB, application/rtf)
2017-04-01 02:40 UTC, Andrew
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-12-01 09:58:01 UTC
Steps:
1. Open attachment 64535 [details] from bug 52386

Observed behaviour: General Error. General input/output error.

Reproduced in

Version: 5.3.0.0.alpha0+
Build ID: 63965d7dc571c7dce999980737f9d57a7c5151da
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

but not in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 1 Xisco Faulí 2016-12-01 09:59:22 UTC
Regression introduced by

author	Miklos Vajna <vmiklos@collabora.co.uk>	2016-06-16 07:13:04 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2016-06-16 08:32:20 (GMT)
commit	63965d7dc571c7dce999980737f9d57a7c5151da (patch)
tree	e851a749f6604e8835486f77cb9f4798cd59711b
parent	b0a9ba98ba83154680f8aea0fd0e58b85e2cfb04 (diff)
tdf#91684 RTF import: handle fFlipH and fFlipV shape props

Adding Cc: to Miklos Vajna
Comment 2 Commit Notification 2016-12-06 09:12:46 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c2e070d9a8192e7aceed64a63c716c7317843747

tdf#104317 RTF import: avoid setting CustomShapeGeometry on a line shape

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-12-07 15:48:12 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0a5dccacc37338abf22785fe0a196dbad0691b0d&h=libreoffice-5-3

tdf#104317 RTF import: avoid setting CustomShapeGeometry on a line shape

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Andrew 2017-04-01 02:40:33 UTC
Created attachment 132301 [details]
Amended  Withholding Form
Comment 5 Miklos Vajna 2017-04-14 22:30:26 UTC
Please leave this bug alone, it's fixed already. If you have a new document, file a new bug. Thanks!
Comment 6 Xisco Faulí 2017-08-30 19:19:41 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: 78960ad06faca055a6d97afbc764c902d5d07f6f
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-08-30_06:31:19
Locale: es-ES (es_ES); Calc: group